跳转到主要内容
POST
/
admin
/
setting
/
test-api-key
cURL
curl --request POST \
  --url https://app.teable.ai/api/admin/setting/test-api-key \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
  --header 'content-type: application/json' \
  --data '{"type":"aiGateway","apiKey":"string","baseUrl":"string","testAttachment":true}'
{
  "success": true,
  "error": {
    "code": "unauthorized",
    "message": "<string>"
  },
  "attachmentTest": {
    "urlMode": {
      "success": true,
      "errorMessage": "<string>"
    },
    "base64Mode": {
      "success": true,
      "errorMessage": "<string>"
    },
    "recommendedMode": "url",
    "testedOrigin": "<string>"
  }
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求体

application/json
type
enum<string>
必填
可用选项:
aiGateway,
v0,
vercel
apiKey
string
必填
baseUrl
string
testAttachment
boolean

响应

200 - application/json

Test result

success
boolean
必填
error
object
attachmentTest
object
Last modified on March 5, 2026